Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor
Class ML

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.MediaAdaptor
                  multivalent.std.adaptor.ML

Direct Known Subclasses:
  HTML, XML

public abstract class ML
extends MediaAdaptor

Abstract superclass for XML and HTML.

Version:
  $Revision: 1.7 $ $Date: 2003/06/02 05:39:52 $

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `entity_`
`protected int` | `errcnt`
`protected java.io.PushbackReader` | `ir_`
`protected boolean` | `ispace`
`protected boolean` | `keepComments`
`protected boolean` | `keepWhitespace`

Fields inherited from class multivalent.MediaAdaptor
`HINT_DEFAULTS, HINT_EXACT, HINT_FAST, HINT_METADATA_ONLY, HINT_NO_IMAGE, HINT_NO_INTERACTIVE, HINT_NO_LAYOUT, HINT_NO_SHAPE, HINT_NO_SHOW, HINT_NO_STYLE, HINT_NO_TEXT, HINT_NO_TRANSCLUSION, HINT_NONE, HINT_NORMALIZE`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`ML()` Subclasses should set entity references table.

Method Summary
`void` | `close()` Close media adaptor, freeing any resources.
`protected void` | `eatComment()` Reads past SGML/HTML/XML comments: `<!`
`protected void` | `eatSpace()`
`protected java.lang.String` | `getEntity(java.lang.String key)`
`protected java.io.Reader` | `getReader()`
`protected ESISNode` | `getTag()`
`protected ESISNode` | `getTag(char ch)` ESISNode returned is reused, so clients should extract all they want before calling again.
`static boolean` | `pairsWith(ESISNode t1, ESISNode t2)`
`protected char` | `readChar()`
`protected java.lang.String` | `readString()`
`protected java.lang.String` | `readString(char open, char close)`
`protected java.lang.String` | `readString(char open, char close, java.lang.String altend)`
`protected java.lang.String` | `readString(char open, char close, java.lang.String altend, char escchar)`
`protected java.lang.String` | `readStringInternal(java.lang.String stop, char escchar)`
`protected void` | `setEntity(java.lang.String key, java.lang.String val)`

Methods inherited from class multivalent.MediaAdaptor
`buildBefore, destroy, getHints, getInputUni, getURI, getZoom, isAuthorized, isStopped, parse, parseHelper, semanticEventAfter, setHints, setInput, setInput, setPassword, setZoom, stop`

Methods inherited from class multivalent.Behavior
`buildAfter, checkRep, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keepComments

    protected boolean keepComments

### keepWhitespace

    protected boolean keepWhitespace

### errcnt

    protected int errcnt

### entity_

    protected java.util.Map<java.lang.String,java.lang.String> entity_

### ir_

    protected java.io.PushbackReader ir_

### ispace

    protected boolean ispace

Constructor Detail

### ML

    public ML()

  Subclasses should set entity references table.

Method Detail

### getReader

    protected java.io.Reader getReader()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEntity

    protected java.lang.String getEntity(java.lang.String key)

### setEntity

    protected void setEntity(java.lang.String key,
                             java.lang.String val)

### readChar

    protected char readChar()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    protected java.lang.String readString()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    protected java.lang.String readString(char open,
                                          char close)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    protected java.lang.String readString(char open,
                                          char close,
                                          java.lang.String altend)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    protected java.lang.String readString(char open,
                                          char close,
                                          java.lang.String altend,
                                          char escchar)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readStringInternal

    protected java.lang.String readStringInternal(java.lang.String stop,
                                                  char escchar)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### eatSpace

    protected void eatSpace()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### eatComment

    protected void eatComment()
                       throws java.io.IOException

  Reads past SGML/HTML/XML comments: `<!-- .. -->`.

  Throws:
    `java.io.IOException`

### getTag

    protected ESISNode getTag()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTag

    protected ESISNode getTag(char ch)
                       throws java.io.IOException

  ESISNode returned is reused, so clients should extract all they want before calling again. Attributes without values (e.g., lone `BORDER` in HTML, as opposed to `BORDER=5`) are given a value that is the same is the name (e.g., long `BORDER` is that same as `BORDER=BORDER`); when saved, the attribute returned to the short form. In other words, they're expanded on read, shortened on write, and getAttr()!=null can test for existence.

  Throws:
    `java.io.IOException`

### pairsWith

    public static boolean pairsWith(ESISNode t1,
                                    ESISNode t2)

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `MediaAdaptor`
  Close media adaptor, freeing any resources.

  Overrides:
    `close` in class `MediaAdaptor`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD